Subject: Re: bug#23911: Cat broken pipe segmentation fault when building Guile

From: Andy Wingo <[email-masked]>
Date: Mon, 11 Jul 2016 21:35:54 +0200

Hi,

Please keep the debbugs link in Cc.  Thanks :)

On Mon 11 Jul 2016 18:36, "Stewart, Adam James" <[email-masked]> writes:

> I tried your suggestion for getting the backtrace but I'm not sure if I did it correctly:
>
> $ gdb libguile/.libs/guile libguile/core-lt-guile-11-7459-3024-47528-1468254675 
> Reading symbols from /scratch/ajstewart/spack-stage/spack-stage-6loD5i/guile-2.0.11.224-5b7b5/libguile/.libs/guile...done.
> (gdb) bt
> No stack.
> (gdb) 

Weird.  I guess this meant that nothing else had debug symbols, only
Guile.

How about running:

  GUILE_AUTO_COMPILE=0 meta/guile

What does that print out?

Andy